<?xml version="1.0" encoding="utf-8"?>
<wsdl:definitions xmlns:wsap="http://schemas.xmlsoap.org/ws/2004/08/addressing/policy" xmlns:wsa10="http://www.w3.org/2005/08/addressing" xmlns:tns="http://tempuri.org/" xmlns:msc="http://schemas.microsoft.com/ws/2005/12/wsdl/contract" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:wsp="http://www.w3.org/ns/ws-policy" xmlns:wsam="http://www.w3.org/2007/05/addressing/metadata" xmlns:wsa="http://schemas.xmlsoap.org/ws/2004/08/addressing" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:wsaw="http://www.w3.org/2006/05/addressing/wsdl" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd" xmlns:xsd="http://www.w3.org/2001/XMLSchema" name="Service" targetNamespace="http://tempuri.org/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <xsd:schema targetNamespace="http://tempuri.org/Imports">
      <xsd:import namespace="http://tempuri.org/" />
      <xsd:import namespace="http://schemas.microsoft.com/2003/10/Serialization/" />
    </xsd:schema>
  </wsdl:types>
  <wsdl:message name="XRHotel_ServiceSoap_GuestInfoByPhone_InputMessage">
    <wsdl:part name="parameters" element="tns:GuestInfoByPhone" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GuestInfoByPhone_OutputMessage">
    <wsdl:part name="parameters" element="tns:GuestInfoByPhoneResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GuestInfo_InputMessage">
    <wsdl:part name="parameters" element="tns:GuestInfo" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GuestInfo_OutputMessage">
    <wsdl:part name="parameters" element="tns:GuestInfoResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryBill_InputMessage">
    <wsdl:part name="parameters" element="tns:QueryBill" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryBill_OutputMessage">
    <wsdl:part name="parameters" element="tns:QueryBillResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryBosBill_InputMessage">
    <wsdl:part name="parameters" element="tns:QueryBosBill" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryBosBill_OutputMessage">
    <wsdl:part name="parameters" element="tns:QueryBosBillResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Posting_InputMessage">
    <wsdl:part name="parameters" element="tns:Posting" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Posting_OutputMessage">
    <wsdl:part name="parameters" element="tns:PostingResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Roomview_InputMessage">
    <wsdl:part name="parameters" element="tns:Roomview" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Roomview_OutputMessage">
    <wsdl:part name="parameters" element="tns:RoomviewResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_HouseInfo_InputMessage">
    <wsdl:part name="parameters" element="tns:HouseInfo" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_HouseInfo_OutputMessage">
    <wsdl:part name="parameters" element="tns:HouseInfoResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_CodeInfo_InputMessage">
    <wsdl:part name="parameters" element="tns:CodeInfo" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_CodeInfo_OutputMessage">
    <wsdl:part name="parameters" element="tns:CodeInfoResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Foxhis_select_InputMessage">
    <wsdl:part name="parameters" element="tns:Foxhis_select" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Foxhis_select_OutputMessage">
    <wsdl:part name="parameters" element="tns:Foxhis_selectResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Foxhis_update_InputMessage">
    <wsdl:part name="parameters" element="tns:Foxhis_update" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Foxhis_update_OutputMessage">
    <wsdl:part name="parameters" element="tns:Foxhis_updateResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Modi_status_InputMessage">
    <wsdl:part name="parameters" element="tns:Modi_status" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Modi_status_OutputMessage">
    <wsdl:part name="parameters" element="tns:Modi_statusResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryGuest_InputMessage">
    <wsdl:part name="parameters" element="tns:QueryGuest" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_QueryGuest_OutputMessage">
    <wsdl:part name="parameters" element="tns:QueryGuestResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetGroupNo_InputMessage">
    <wsdl:part name="parameters" element="tns:GetGroupNo" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetGroupNo_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetGroupNoResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetGroupRoom_InputMessage">
    <wsdl:part name="parameters" element="tns:GetGroupRoom" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetGroupRoom_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetGroupRoomResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_CheckRoom_InputMessage">
    <wsdl:part name="parameters" element="tns:CheckRoom" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_CheckRoom_OutputMessage">
    <wsdl:part name="parameters" element="tns:CheckRoomResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetCheckRoom_InputMessage">
    <wsdl:part name="parameters" element="tns:GetCheckRoom" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetCheckRoom_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetCheckRoomResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetPosplu_InputMessage">
    <wsdl:part name="parameters" element="tns:GetPosplu" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_GetPosplu_OutputMessage">
    <wsdl:part name="parameters" element="tns:GetPospluResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Getvipcard_Point_InputMessage">
    <wsdl:part name="parameters" element="tns:Getvipcard_Point" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Getvipcard_Point_OutputMessage">
    <wsdl:part name="parameters" element="tns:Getvipcard_PointResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Invoice_Binging_InputMessage">
    <wsdl:part name="parameters" element="tns:Invoice_Binging" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Invoice_Binging_OutputMessage">
    <wsdl:part name="parameters" element="tns:Invoice_BingingResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Partial_Checkout_InputMessage">
    <wsdl:part name="parameters" element="tns:Partial_Checkout" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Partial_Checkout_OutputMessage">
    <wsdl:part name="parameters" element="tns:Partial_CheckoutResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Bos_Posting_InputMessage">
    <wsdl:part name="parameters" element="tns:Bos_Posting" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Bos_Posting_OutputMessage">
    <wsdl:part name="parameters" element="tns:Bos_PostingResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Argstbmp_Get_InputMessage">
    <wsdl:part name="parameters" element="tns:Argstbmp_Get" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Argstbmp_Get_OutputMessage">
    <wsdl:part name="parameters" element="tns:Argstbmp_GetResponse" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Vippoint_Posting_InputMessage">
    <wsdl:part name="parameters" element="tns:Vippoint_Posting" />
  </wsdl:message>
  <wsdl:message name="XRHotel_ServiceSoap_Vippoint_Posting_OutputMessage">
    <wsdl:part name="parameters" element="tns:Vippoint_PostingResponse" />
  </wsdl:message>
  <wsdl:portType name="XRHotel_ServiceSoap">
    <wsdl:operation name="GuestInfoByPhone">
      <wsdl:input wsam:Action="http://tempuri.org/GuestInfoByPhone" message="tns:XRHotel_ServiceSoap_GuestInfoByPhone_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GuestInfoByPhoneResponse" message="tns:XRHotel_ServiceSoap_GuestInfoByPhone_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GuestInfo">
      <wsdl:input wsam:Action="http://tempuri.org/GuestInfo" message="tns:XRHotel_ServiceSoap_GuestInfo_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GuestInfoResponse" message="tns:XRHotel_ServiceSoap_GuestInfo_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="QueryBill">
      <wsdl:input wsam:Action="http://tempuri.org/QueryBill" message="tns:XRHotel_ServiceSoap_QueryBill_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/QueryBillResponse" message="tns:XRHotel_ServiceSoap_QueryBill_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="QueryBosBill">
      <wsdl:input wsam:Action="http://tempuri.org/QueryBosBill" message="tns:XRHotel_ServiceSoap_QueryBosBill_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/QueryBosBillResponse" message="tns:XRHotel_ServiceSoap_QueryBosBill_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Posting">
      <wsdl:input wsam:Action="http://tempuri.org/Posting" message="tns:XRHotel_ServiceSoap_Posting_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/PostingResponse" message="tns:XRHotel_ServiceSoap_Posting_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Roomview">
      <wsdl:input wsam:Action="http://tempuri.org/Roomview" message="tns:XRHotel_ServiceSoap_Roomview_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/RoomviewResponse" message="tns:XRHotel_ServiceSoap_Roomview_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="HouseInfo">
      <wsdl:input wsam:Action="http://tempuri.org/HouseInfo" message="tns:XRHotel_ServiceSoap_HouseInfo_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/HouseInfoResponse" message="tns:XRHotel_ServiceSoap_HouseInfo_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="CodeInfo">
      <wsdl:input wsam:Action="http://tempuri.org/CodeInfo" message="tns:XRHotel_ServiceSoap_CodeInfo_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/CodeInfoResponse" message="tns:XRHotel_ServiceSoap_CodeInfo_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Foxhis_select">
      <wsdl:input wsam:Action="http://tempuri.org/Foxhis_select" message="tns:XRHotel_ServiceSoap_Foxhis_select_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Foxhis_selectResponse" message="tns:XRHotel_ServiceSoap_Foxhis_select_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Foxhis_update">
      <wsdl:input wsam:Action="http://tempuri.org/Foxhis_update" message="tns:XRHotel_ServiceSoap_Foxhis_update_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Foxhis_updateResponse" message="tns:XRHotel_ServiceSoap_Foxhis_update_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Modi_status">
      <wsdl:input wsam:Action="http://tempuri.org/Modi_status" message="tns:XRHotel_ServiceSoap_Modi_status_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Modi_statusResponse" message="tns:XRHotel_ServiceSoap_Modi_status_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="QueryGuest">
      <wsdl:input wsam:Action="http://tempuri.org/QueryGuest" message="tns:XRHotel_ServiceSoap_QueryGuest_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/QueryGuestResponse" message="tns:XRHotel_ServiceSoap_QueryGuest_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetGroupNo">
      <wsdl:input wsam:Action="http://tempuri.org/GetGroupNo" message="tns:XRHotel_ServiceSoap_GetGroupNo_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GetGroupNoResponse" message="tns:XRHotel_ServiceSoap_GetGroupNo_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetGroupRoom">
      <wsdl:input wsam:Action="http://tempuri.org/GetGroupRoom" message="tns:XRHotel_ServiceSoap_GetGroupRoom_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GetGroupRoomResponse" message="tns:XRHotel_ServiceSoap_GetGroupRoom_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="CheckRoom">
      <wsdl:input wsam:Action="http://tempuri.org/CheckRoom" message="tns:XRHotel_ServiceSoap_CheckRoom_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/CheckRoomResponse" message="tns:XRHotel_ServiceSoap_CheckRoom_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetCheckRoom">
      <wsdl:input wsam:Action="http://tempuri.org/GetCheckRoom" message="tns:XRHotel_ServiceSoap_GetCheckRoom_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GetCheckRoomResponse" message="tns:XRHotel_ServiceSoap_GetCheckRoom_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="GetPosplu">
      <wsdl:input wsam:Action="http://tempuri.org/GetPosplu" message="tns:XRHotel_ServiceSoap_GetPosplu_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/GetPospluResponse" message="tns:XRHotel_ServiceSoap_GetPosplu_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Getvipcard_Point">
      <wsdl:input wsam:Action="http://tempuri.org/Getvipcard_Point" message="tns:XRHotel_ServiceSoap_Getvipcard_Point_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Getvipcard_PointResponse" message="tns:XRHotel_ServiceSoap_Getvipcard_Point_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Invoice_Binging">
      <wsdl:input wsam:Action="http://tempuri.org/Invoice_Binging" message="tns:XRHotel_ServiceSoap_Invoice_Binging_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Invoice_BingingResponse" message="tns:XRHotel_ServiceSoap_Invoice_Binging_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Partial_Checkout">
      <wsdl:input wsam:Action="http://tempuri.org/Partial_Checkout" message="tns:XRHotel_ServiceSoap_Partial_Checkout_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Partial_CheckoutResponse" message="tns:XRHotel_ServiceSoap_Partial_Checkout_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Bos_Posting">
      <wsdl:input wsam:Action="http://tempuri.org/Bos_Posting" message="tns:XRHotel_ServiceSoap_Bos_Posting_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Bos_PostingResponse" message="tns:XRHotel_ServiceSoap_Bos_Posting_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Argstbmp_Get">
      <wsdl:input wsam:Action="http://tempuri.org/Argstbmp_Get" message="tns:XRHotel_ServiceSoap_Argstbmp_Get_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Argstbmp_GetResponse" message="tns:XRHotel_ServiceSoap_Argstbmp_Get_OutputMessage" />
    </wsdl:operation>
    <wsdl:operation name="Vippoint_Posting">
      <wsdl:input wsam:Action="http://tempuri.org/Vippoint_Posting" message="tns:XRHotel_ServiceSoap_Vippoint_Posting_InputMessage" />
      <wsdl:output wsam:Action="http://tempuri.org/XRHotel_ServiceSoap/Vippoint_PostingResponse" message="tns:XRHotel_ServiceSoap_Vippoint_Posting_OutputMessage" />
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="BasicHttpBinding_XRHotel_ServiceSoap" type="tns:XRHotel_ServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http" />
    <wsdl:operation name="GuestInfoByPhone">
      <soap:operation soapAction="http://tempuri.org/GuestInfoByPhone" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GuestInfo">
      <soap:operation soapAction="http://tempuri.org/GuestInfo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="QueryBill">
      <soap:operation soapAction="http://tempuri.org/QueryBill" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="QueryBosBill">
      <soap:operation soapAction="http://tempuri.org/QueryBosBill" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Posting">
      <soap:operation soapAction="http://tempuri.org/Posting" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Roomview">
      <soap:operation soapAction="http://tempuri.org/Roomview" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="HouseInfo">
      <soap:operation soapAction="http://tempuri.org/HouseInfo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CodeInfo">
      <soap:operation soapAction="http://tempuri.org/CodeInfo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Foxhis_select">
      <soap:operation soapAction="http://tempuri.org/Foxhis_select" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Foxhis_update">
      <soap:operation soapAction="http://tempuri.org/Foxhis_update" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Modi_status">
      <soap:operation soapAction="http://tempuri.org/Modi_status" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="QueryGuest">
      <soap:operation soapAction="http://tempuri.org/QueryGuest" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetGroupNo">
      <soap:operation soapAction="http://tempuri.org/GetGroupNo" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetGroupRoom">
      <soap:operation soapAction="http://tempuri.org/GetGroupRoom" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CheckRoom">
      <soap:operation soapAction="http://tempuri.org/CheckRoom" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetCheckRoom">
      <soap:operation soapAction="http://tempuri.org/GetCheckRoom" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetPosplu">
      <soap:operation soapAction="http://tempuri.org/GetPosplu" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Getvipcard_Point">
      <soap:operation soapAction="http://tempuri.org/Getvipcard_Point" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Invoice_Binging">
      <soap:operation soapAction="http://tempuri.org/Invoice_Binging" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Partial_Checkout">
      <soap:operation soapAction="http://tempuri.org/Partial_Checkout" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Bos_Posting">
      <soap:operation soapAction="http://tempuri.org/Bos_Posting" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Argstbmp_Get">
      <soap:operation soapAction="http://tempuri.org/Argstbmp_Get" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="Vippoint_Posting">
      <soap:operation soapAction="http://tempuri.org/Vippoint_Posting" style="document" />
      <wsdl:input>
        <soap:body use="literal" />
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal" />
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="Service">
    <wsdl:port name="BasicHttpBinding_XRHotel_ServiceSoap" binding="tns:BasicHttpBinding_XRHotel_ServiceSoap">
      <soap:address location="http://192.168.5.184:5031/XRHotel_ws" />
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>